let Data = {
  "working-directory":"dezyne-2.18.1",
  "trail":[
    "control.setup",
    "sut.acquisition.sensor.port.prepare",
    "sut.acquisition.sensor.port.return",
    "sut.optics.focus.sensor.port.measure",
    "sut.optics.focus.sensor.port.EContrast:Sharper",
    "sut.optics.focus.lens.port.forward",
    "sut.optics.focus.lens.port.return",
    "control.return",
    "control.shoot",
    "sut.acquisition.sensor.port.acquire",
    "sut.acquisition.sensor.port.return",
    "sut.optics.focus.lens.port.stop",
    "sut.optics.focus.lens.port.return",
    "sut.optics.shutter.port.expose",
    "sut.optics.shutter.port.return",
    "control.return",
    "sut.acquisition.sensor.port.image",
    "sut.acquisition.memory.port.store",
    "sut.acquisition.memory.port.return",
    "control.image"
  ],
  "lifelines":[
    {
      "header":{
        "instance":"control",
        "role":"provides"
      },
      "activities":[
        {
          "key":1,"time":0,
          "location":{"file-name":"Camera.dzn","line":56,"column":21}
        },
        {
          "key":28,"time":13,
          "location":{"file-name":"Camera.dzn","line":56,"column":18}
        },
        {
          "key":29,"time":14,
          "location":{"file-name":"Camera.dzn","line":59,"column":10}
        },
        {
          "key":56,"time":27,
          "location":{"file-name":"Camera.dzn","line":59,"column":7}
        },
        {
          "key":70,"time":34,
          "location":{"file-name":"Camera.dzn","line":68,"column":38}
        }
      ],
      "labels":[
        {
          "text":"control.setup",
          "role":"provides"
        },
        {
          "text":"control.shoot",
          "role":"provides",
          "illegal":true
        },
        {
          "text":"control.release",
          "role":"provides",
          "illegal":true
        }
      ]
    },
    {
      "header":{
        "instance":"sut.driver",
        "role":"component"
      },
      "activities":[
        {
          "key":2,"time":0,
          "location":{"file-name":"Camera.dzn","line":80,"column":8}
        },
        {
          "key":3,"time":1,
          "location":{"file-name":"Camera.dzn","line":80,"column":26}
        },
        {
          "key":10,"time":4,
          "location":{"file-name":"Camera.dzn","line":80,"column":26}
        },
        {
          "key":11,"time":5,
          "location":{"file-name":"Camera.dzn","line":80,"column":49}
        },
        {
          "key":26,"time":12,
          "location":{"file-name":"Camera.dzn","line":80,"column":49}
        },
        {
          "key":27,"time":13,
          "location":{"file-name":"Camera.dzn","line":80,"column":5}
        },
        {
          "key":30,"time":14,
          "location":{"file-name":"Camera.dzn","line":82,"column":8}
        },
        {
          "key":31,"time":15,
          "location":{"file-name":"Camera.dzn","line":82,"column":26}
        },
        {
          "key":38,"time":18,
          "location":{"file-name":"Camera.dzn","line":82,"column":26}
        },
        {
          "key":39,"time":19,
          "location":{"file-name":"Camera.dzn","line":82,"column":49}
        },
        {
          "key":54,"time":26,
          "location":{"file-name":"Camera.dzn","line":82,"column":49}
        },
        {
          "key":55,"time":27,
          "location":{"file-name":"Camera.dzn","line":82,"column":5}
        },
        {
          "key":66,"time":32,
          "location":{"file-name":"Acquisition.dzn","line":96,"column":41}
        },
        {
          "key":67,"time":33,
          "location":{"file-name":"Camera.dzn","line":84,"column":5}
        },
        {
          "key":68,"time":33,
          "location":{"file-name":"Camera.dzn","line":84,"column":5}
        },
        {
          "key":69,"time":34,
          "location":{"file-name":"Camera.dzn","line":84,"column":29}
        }
      ],
      "labels":[
        {
          "text":"<back>",
          "role":"component"
        },
        {
          "text":"<defer>",
          "role":"component",
          "illegal":true
        }
      ]
    },
    {
      "header":{
        "instance":"sut.optics.optics",
        "role":"component"
      },
      "activities":[
        {
          "key":12,"time":5,
          "location":{"file-name":"Optics.dzn","line":159,"column":8}
        },
        {
          "key":13,"time":6,
          "location":{"file-name":"Optics.dzn","line":159,"column":24}
        },
        {
          "key":24,"time":11,
          "location":{"file-name":"Optics.dzn","line":159,"column":24}
        },
        {
          "key":25,"time":12,
          "location":{"file-name":"Optics.dzn","line":159,"column":5}
        },
        {
          "key":40,"time":19,
          "location":{"file-name":"Optics.dzn","line":162,"column":8}
        },
        {
          "key":41,"time":20,
          "location":{"file-name":"Optics.dzn","line":162,"column":25}
        },
        {
          "key":48,"time":23,
          "location":{"file-name":"Optics.dzn","line":162,"column":25}
        },
        {
          "key":49,"time":24,
          "location":{"file-name":"Optics.dzn","line":162,"column":41}
        },
        {
          "key":52,"time":25,
          "location":{"file-name":"Optics.dzn","line":162,"column":41}
        },
        {
          "key":53,"time":26,
          "location":{"file-name":"Optics.dzn","line":162,"column":5}
        }
      ],
      "labels":[
        {
          "text":"<back>",
          "role":"component"
        },
        {
          "text":"<defer>",
          "role":"component",
          "illegal":true
        }
      ]
    },
    {
      "header":{
        "instance":"sut.optics.focus.focus",
        "role":"component"
      },
      "activities":[
        {
          "key":14,"time":6,
          "location":{"file-name":"Optics.dzn","line":106,"column":8}
        },
        {
          "key":15,"time":7,
          "location":{"file-name":"Optics.dzn","line":106,"column":40}
        },
        {
          "key":18,"time":8,
          "location":{"file-name":"Optics.dzn","line":106,"column":40}
        },
        {
          "key":19,"time":9,
          "location":{"file-name":"Optics.dzn","line":106,"column":58}
        },
        {
          "key":22,"time":10,
          "location":{"file-name":"Optics.dzn","line":106,"column":58}
        },
        {
          "key":23,"time":11,
          "location":{"file-name":"Optics.dzn","line":106,"column":5}
        },
        {
          "key":42,"time":20,
          "location":{"file-name":"Optics.dzn","line":107,"column":8}
        },
        {
          "key":43,"time":21,
          "location":{"file-name":"Optics.dzn","line":107,"column":24}
        },
        {
          "key":46,"time":22,
          "location":{"file-name":"Optics.dzn","line":107,"column":24}
        },
        {
          "key":47,"time":23,
          "location":{"file-name":"Optics.dzn","line":107,"column":5}
        }
      ],
      "labels":[
        {
          "text":"<back>",
          "role":"component"
        },
        {
          "text":"<defer>",
          "role":"component",
          "illegal":true
        }
      ]
    },
    {
      "header":{
        "instance":"sut.optics.focus.lens",
        "role":"foreign"
      },
      "activities":[],
      "labels":[
        {
          "text":"sut.optics.focus.lens.port.stopped",
          "role":"foreign",
          "illegal":true
        }
      ]
    },
    {
      "header":{
        "instance":"sut.optics.focus.lens.port",
        "role":"requires"
      },
      "activities":[
        {
          "key":20,"time":9,
          "location":{"file-name":"Optics.dzn","line":39,"column":10}
        },
        {
          "key":21,"time":10,
          "location":{"file-name":"Optics.dzn","line":39,"column":7}
        },
        {
          "key":44,"time":21,
          "location":{"file-name":"Optics.dzn","line":43,"column":8}
        },
        {
          "key":45,"time":22,
          "location":{"file-name":"Optics.dzn","line":43,"column":5}
        }
      ],
      "labels":[
        {
          "text":"sut.optics.focus.lens.port.stopped",
          "role":"requires",
          "illegal":true
        }
      ]
    },
    {
      "header":{
        "instance":"sut.optics.focus.sensor",
        "role":"foreign"
      },
      "activities":[],
      "labels":[]
    },
    {
      "header":{
        "instance":"sut.optics.focus.sensor.port",
        "role":"requires"
      },
      "activities":[
        {
          "key":16,"time":7,
          "location":{"file-name":"Optics.dzn","line":73,"column":8}
        },
        {
          "key":17,"time":8,
          "location":{"file-name":"Optics.dzn","line":73,"column":5}
        }
      ],
      "labels":[]
    },
    {
      "header":{
        "instance":"sut.optics.shutter",
        "role":"foreign"
      },
      "activities":[],
      "labels":[]
    },
    {
      "header":{
        "instance":"sut.optics.shutter.port",
        "role":"requires"
      },
      "activities":[
        {
          "key":50,"time":24,
          "location":{"file-name":"Optics.dzn","line":124,"column":8}
        },
        {
          "key":51,"time":25,
          "location":{"file-name":"Optics.dzn","line":124,"column":5}
        }
      ],
      "labels":[]
    },
    {
      "header":{
        "instance":"sut.acquisition.acquire",
        "role":"component"
      },
      "activities":[
        {
          "key":4,"time":1,
          "location":{"file-name":"Acquisition.dzn","line":94,"column":8}
        },
        {
          "key":5,"time":2,
          "location":{"file-name":"Acquisition.dzn","line":94,"column":24}
        },
        {
          "key":8,"time":3,
          "location":{"file-name":"Acquisition.dzn","line":94,"column":24}
        },
        {
          "key":9,"time":4,
          "location":{"file-name":"Acquisition.dzn","line":94,"column":5}
        },
        {
          "key":32,"time":15,
          "location":{"file-name":"Acquisition.dzn","line":95,"column":8}
        },
        {
          "key":33,"time":16,
          "location":{"file-name":"Acquisition.dzn","line":95,"column":24}
        },
        {
          "key":36,"time":17,
          "location":{"file-name":"Acquisition.dzn","line":95,"column":24}
        },
        {
          "key":37,"time":18,
          "location":{"file-name":"Acquisition.dzn","line":95,"column":5}
        },
        {
          "key":58,"time":28,
          "location":{"file-name":"Acquisition.dzn","line":41,"column":57}
        },
        {
          "key":59,"time":29,
          "location":{"file-name":"Acquisition.dzn","line":96,"column":5}
        },
        {
          "key":60,"time":29,
          "location":{"file-name":"Acquisition.dzn","line":96,"column":5}
        },
        {
          "key":61,"time":30,
          "location":{"file-name":"Acquisition.dzn","line":96,"column":25}
        },
        {
          "key":64,"time":31,
          "location":{"file-name":"Acquisition.dzn","line":96,"column":25}
        },
        {
          "key":65,"time":32,
          "location":{"file-name":"Acquisition.dzn","line":96,"column":41}
        }
      ],
      "labels":[
        {
          "text":"<back>",
          "role":"component"
        },
        {
          "text":"<defer>",
          "role":"component",
          "illegal":true
        }
      ]
    },
    {
      "header":{
        "instance":"sut.acquisition.sensor",
        "role":"foreign"
      },
      "activities":[],
      "labels":[
        {
          "text":"sut.acquisition.sensor.port.image",
          "role":"foreign",
          "illegal":true
        }
      ]
    },
    {
      "header":{
        "instance":"sut.acquisition.sensor.port",
        "role":"requires"
      },
      "activities":[
        {
          "key":6,"time":2,
          "location":{"file-name":"Acquisition.dzn","line":39,"column":21}
        },
        {
          "key":7,"time":3,
          "location":{"file-name":"Acquisition.dzn","line":39,"column":18}
        },
        {
          "key":34,"time":16,
          "location":{"file-name":"Acquisition.dzn","line":40,"column":22}
        },
        {
          "key":35,"time":17,
          "location":{"file-name":"Acquisition.dzn","line":40,"column":19}
        },
        {
          "key":57,"time":28,
          "location":{"file-name":"Acquisition.dzn","line":41,"column":57}
        }
      ],
      "labels":[
        {
          "text":"sut.acquisition.sensor.port.image",
          "role":"requires",
          "illegal":true
        }
      ]
    },
    {
      "header":{
        "instance":"sut.acquisition.memory",
        "role":"foreign"
      },
      "activities":[],
      "labels":[]
    },
    {
      "header":{
        "instance":"sut.acquisition.memory.port",
        "role":"requires"
      },
      "activities":[
        {
          "key":62,"time":30,
          "location":{"file-name":"Acquisition.dzn","line":55,"column":8}
        },
        {
          "key":63,"time":31,
          "location":{"file-name":"Acquisition.dzn","line":55,"column":5}
        }
      ],
      "labels":[]
    }
  ],
  "events":[
    {"text":"setup","from":1,"to":2,"type":"in"},
    {"text":"prepare","from":3,"to":4,"type":"in"},
    {"text":"prepare","from":5,"to":6,"type":"in"},
    {"text":"return","from":7,"to":8,"type":"return"},
    {"text":"return","from":9,"to":10,"type":"return"},
    {"text":"prepare","from":11,"to":12,"type":"in"},
    {"text":"measure","from":13,"to":14,"type":"in"},
    {"text":"measure","from":15,"to":16,"type":"in"},
    {"text":"EContrast:Sharper","from":17,"to":18,"type":"return"},
    {"text":"forward","from":19,"to":20,"type":"in"},
    {"text":"return","from":21,"to":22,"type":"return"},
    {"text":"return","from":23,"to":24,"type":"return"},
    {"text":"return","from":25,"to":26,"type":"return"},
    {"text":"return","from":27,"to":28,"type":"return"},
    {"text":"shoot","from":29,"to":30,"type":"in"},
    {"text":"acquire","from":31,"to":32,"type":"in"},
    {"text":"acquire","from":33,"to":34,"type":"in"},
    {"text":"return","from":35,"to":36,"type":"return"},
    {"text":"return","from":37,"to":38,"type":"return"},
    {"text":"capture","from":39,"to":40,"type":"in"},
    {"text":"cancel","from":41,"to":42,"type":"in"},
    {"text":"stop","from":43,"to":44,"type":"in"},
    {"text":"return","from":45,"to":46,"type":"return"},
    {"text":"return","from":47,"to":48,"type":"return"},
    {"text":"expose","from":49,"to":50,"type":"in"},
    {"text":"return","from":51,"to":52,"type":"return"},
    {"text":"return","from":53,"to":54,"type":"return"},
    {"text":"return","from":55,"to":56,"type":"return"},
    {"text":"image","from":57,"to":58,"type":"out"},
    {"text":"image","from":59,"to":60,"type":"out"},
    {"text":"store","from":61,"to":62,"type":"in"},
    {"text":"return","from":63,"to":64,"type":"return"},
    {"text":"image","from":65,"to":66,"type":"out"},
    {"text":"image","from":67,"to":68,"type":"out"},
    {"text":"image","from":69,"to":70,"type":"out"}
  ],
  "states":[
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Idle"},
          {"name":"acquisition.state","value":"State:Idle"},
          {"name":"optics.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"focus.idle","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"true"},
          {"name":"lens.moving","value":"false"},
          {"name":"contrast_was","value":"EContrast:Blurrier"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"sensor.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Idle"},
          {"name":"acquisition.state","value":"State:Idle"},
          {"name":"optics.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"focus.idle","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"true"},
          {"name":"lens.moving","value":"false"},
          {"name":"contrast_was","value":"EContrast:Blurrier"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"sensor.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Idle"},
          {"name":"acquisition.state","value":"State:Idle"},
          {"name":"optics.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"focus.idle","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"true"},
          {"name":"lens.moving","value":"false"},
          {"name":"contrast_was","value":"EContrast:Blurrier"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"sensor.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Idle"},
          {"name":"acquisition.state","value":"State:Idle"},
          {"name":"optics.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"focus.idle","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"true"},
          {"name":"lens.moving","value":"false"},
          {"name":"contrast_was","value":"EContrast:Blurrier"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"sensor.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Idle"},
          {"name":"acquisition.state","value":"State:Idle"},
          {"name":"optics.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"focus.idle","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"true"},
          {"name":"lens.moving","value":"false"},
          {"name":"contrast_was","value":"EContrast:Blurrier"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"sensor.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Idle"},
          {"name":"acquisition.state","value":"State:Idle"},
          {"name":"optics.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"focus.idle","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"true"},
          {"name":"lens.moving","value":"false"},
          {"name":"contrast_was","value":"EContrast:Blurrier"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"sensor.state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Idle"},
          {"name":"acquisition.state","value":"State:Ready"},
          {"name":"optics.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"focus.idle","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"true"},
          {"name":"lens.moving","value":"false"},
          {"name":"contrast_was","value":"EContrast:Blurrier"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Ready"},
          {"name":"sensor.state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Idle"},
          {"name":"acquisition.state","value":"State:Ready"},
          {"name":"optics.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"focus.idle","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"true"},
          {"name":"lens.moving","value":"false"},
          {"name":"contrast_was","value":"EContrast:Blurrier"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Ready"},
          {"name":"sensor.state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Idle"},
          {"name":"acquisition.state","value":"State:Ready"},
          {"name":"optics.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"focus.idle","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"true"},
          {"name":"lens.moving","value":"false"},
          {"name":"contrast_was","value":"EContrast:Blurrier"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Ready"},
          {"name":"sensor.state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Idle"},
          {"name":"acquisition.state","value":"State:Ready"},
          {"name":"optics.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"focus.idle","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"true"},
          {"name":"lens.moving","value":"false"},
          {"name":"contrast_was","value":"EContrast:Blurrier"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Ready"},
          {"name":"sensor.state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Idle"},
          {"name":"acquisition.state","value":"State:Ready"},
          {"name":"optics.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"focus.idle","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"true"},
          {"name":"lens.moving","value":"false"},
          {"name":"contrast_was","value":"EContrast:Sharper"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Ready"},
          {"name":"sensor.state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Idle"},
          {"name":"acquisition.state","value":"State:Ready"},
          {"name":"optics.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"focus.idle","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"true"},
          {"name":"lens.moving","value":"false"},
          {"name":"contrast_was","value":"EContrast:Sharper"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Ready"},
          {"name":"sensor.state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Idle"},
          {"name":"acquisition.state","value":"State:Ready"},
          {"name":"optics.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"focus.idle","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"true"},
          {"name":"lens.moving","value":"true"},
          {"name":"contrast_was","value":"EContrast:Sharper"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Ready"},
          {"name":"sensor.state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Idle"},
          {"name":"acquisition.state","value":"State:Ready"},
          {"name":"optics.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"focus.idle","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"false"},
          {"name":"lens.moving","value":"true"},
          {"name":"contrast_was","value":"EContrast:Sharper"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Ready"},
          {"name":"sensor.state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Setup"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Setup"},
          {"name":"acquisition.state","value":"State:Ready"},
          {"name":"optics.state","value":"State:Prepare"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Prepare"},
          {"name":"focus.idle","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"false"},
          {"name":"lens.moving","value":"true"},
          {"name":"contrast_was","value":"EContrast:Sharper"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Ready"},
          {"name":"sensor.state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Setup"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Setup"},
          {"name":"acquisition.state","value":"State:Ready"},
          {"name":"optics.state","value":"State:Prepare"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Prepare"},
          {"name":"focus.idle","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"false"},
          {"name":"lens.moving","value":"true"},
          {"name":"contrast_was","value":"EContrast:Sharper"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Ready"},
          {"name":"sensor.state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Setup"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Setup"},
          {"name":"acquisition.state","value":"State:Ready"},
          {"name":"optics.state","value":"State:Prepare"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Prepare"},
          {"name":"focus.idle","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"false"},
          {"name":"lens.moving","value":"true"},
          {"name":"contrast_was","value":"EContrast:Sharper"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Ready"},
          {"name":"sensor.state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Setup"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Setup"},
          {"name":"acquisition.state","value":"State:Ready"},
          {"name":"optics.state","value":"State:Prepare"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Prepare"},
          {"name":"focus.idle","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"false"},
          {"name":"lens.moving","value":"true"},
          {"name":"contrast_was","value":"EContrast:Sharper"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Ready"},
          {"name":"sensor.state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Setup"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Setup"},
          {"name":"acquisition.state","value":"State:Ready"},
          {"name":"optics.state","value":"State:Prepare"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Prepare"},
          {"name":"focus.idle","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"false"},
          {"name":"lens.moving","value":"true"},
          {"name":"contrast_was","value":"EContrast:Sharper"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Ready"},
          {"name":"sensor.state","value":"State:Ready"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Setup"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Setup"},
          {"name":"acquisition.state","value":"State:Ready"},
          {"name":"optics.state","value":"State:Prepare"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Prepare"},
          {"name":"focus.idle","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"false"},
          {"name":"lens.moving","value":"true"},
          {"name":"contrast_was","value":"EContrast:Sharper"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Ready"},
          {"name":"sensor.state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Setup"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Setup"},
          {"name":"acquisition.state","value":"State:Acquiring"},
          {"name":"optics.state","value":"State:Prepare"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Prepare"},
          {"name":"focus.idle","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"false"},
          {"name":"lens.moving","value":"true"},
          {"name":"contrast_was","value":"EContrast:Sharper"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Acquiring"},
          {"name":"sensor.state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Setup"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Setup"},
          {"name":"acquisition.state","value":"State:Acquiring"},
          {"name":"optics.state","value":"State:Prepare"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Prepare"},
          {"name":"focus.idle","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"false"},
          {"name":"lens.moving","value":"true"},
          {"name":"contrast_was","value":"EContrast:Sharper"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Acquiring"},
          {"name":"sensor.state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Setup"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Setup"},
          {"name":"acquisition.state","value":"State:Acquiring"},
          {"name":"optics.state","value":"State:Prepare"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Prepare"},
          {"name":"focus.idle","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"false"},
          {"name":"lens.moving","value":"true"},
          {"name":"contrast_was","value":"EContrast:Sharper"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Acquiring"},
          {"name":"sensor.state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Setup"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Setup"},
          {"name":"acquisition.state","value":"State:Acquiring"},
          {"name":"optics.state","value":"State:Prepare"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Prepare"},
          {"name":"focus.idle","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"false"},
          {"name":"lens.moving","value":"true"},
          {"name":"contrast_was","value":"EContrast:Sharper"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Acquiring"},
          {"name":"sensor.state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Setup"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Setup"},
          {"name":"acquisition.state","value":"State:Acquiring"},
          {"name":"optics.state","value":"State:Prepare"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Prepare"},
          {"name":"focus.idle","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"false"},
          {"name":"lens.moving","value":"false"},
          {"name":"contrast_was","value":"EContrast:Sharper"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Acquiring"},
          {"name":"sensor.state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Setup"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Setup"},
          {"name":"acquisition.state","value":"State:Acquiring"},
          {"name":"optics.state","value":"State:Prepare"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Prepare"},
          {"name":"focus.idle","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"true"},
          {"name":"lens.moving","value":"false"},
          {"name":"contrast_was","value":"EContrast:Sharper"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Acquiring"},
          {"name":"sensor.state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Setup"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Setup"},
          {"name":"acquisition.state","value":"State:Acquiring"},
          {"name":"optics.state","value":"State:Prepare"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Prepare"},
          {"name":"focus.idle","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"true"},
          {"name":"lens.moving","value":"false"},
          {"name":"contrast_was","value":"EContrast:Sharper"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Acquiring"},
          {"name":"sensor.state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Setup"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Setup"},
          {"name":"acquisition.state","value":"State:Acquiring"},
          {"name":"optics.state","value":"State:Prepare"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Prepare"},
          {"name":"focus.idle","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"true"},
          {"name":"lens.moving","value":"false"},
          {"name":"contrast_was","value":"EContrast:Sharper"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Acquiring"},
          {"name":"sensor.state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Acquire"},
          {"name":"acquisition.state","value":"State:Acquiring"},
          {"name":"optics.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"focus.idle","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"true"},
          {"name":"lens.moving","value":"false"},
          {"name":"contrast_was","value":"EContrast:Sharper"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Acquiring"},
          {"name":"sensor.state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Acquire"},
          {"name":"acquisition.state","value":"State:Acquiring"},
          {"name":"optics.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"focus.idle","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"true"},
          {"name":"lens.moving","value":"false"},
          {"name":"contrast_was","value":"EContrast:Sharper"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Acquiring"},
          {"name":"sensor.state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Acquire"},
          {"name":"acquisition.state","value":"State:Acquiring"},
          {"name":"optics.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"focus.idle","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"true"},
          {"name":"lens.moving","value":"false"},
          {"name":"contrast_was","value":"EContrast:Sharper"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Acquiring"},
          {"name":"sensor.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Acquire"},
          {"name":"acquisition.state","value":"State:Acquiring"},
          {"name":"optics.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"focus.idle","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"true"},
          {"name":"lens.moving","value":"false"},
          {"name":"contrast_was","value":"EContrast:Sharper"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Acquiring"},
          {"name":"sensor.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Acquire"},
          {"name":"acquisition.state","value":"State:Acquiring"},
          {"name":"optics.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"focus.idle","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"true"},
          {"name":"lens.moving","value":"false"},
          {"name":"contrast_was","value":"EContrast:Sharper"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Acquiring"},
          {"name":"sensor.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Acquire"},
          {"name":"acquisition.state","value":"State:Acquiring"},
          {"name":"optics.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"focus.idle","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"true"},
          {"name":"lens.moving","value":"false"},
          {"name":"contrast_was","value":"EContrast:Sharper"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Acquiring"},
          {"name":"sensor.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Acquire"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Acquire"},
          {"name":"acquisition.state","value":"State:Idle"},
          {"name":"optics.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"focus.idle","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"true"},
          {"name":"lens.moving","value":"false"},
          {"name":"contrast_was","value":"EContrast:Sharper"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"sensor.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Idle"},
          {"name":"acquisition.state","value":"State:Idle"},
          {"name":"optics.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"focus.idle","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"true"},
          {"name":"lens.moving","value":"false"},
          {"name":"contrast_was","value":"EContrast:Sharper"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"sensor.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ],
    [
      {
        "instance":"control",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.driver",
        "state":[
          {"name":"control.state","value":"State:Idle"},
          {"name":"acquisition.state","value":"State:Idle"},
          {"name":"optics.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.optics",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"focus.idle","value":"true"}
        ]
      },
      {
        "instance":"sut.optics.focus.focus",
        "state":[
          {"name":"port.idle","value":"true"},
          {"name":"lens.moving","value":"false"},
          {"name":"contrast_was","value":"EContrast:Sharper"}
        ]
      },
      {
        "instance":"sut.acquisition.acquire",
        "state":[
          {"name":"port.state","value":"State:Idle"},
          {"name":"sensor.state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.optics.focus.lens.port",
        "state":[
          {"name":"moving","value":"false"}
        ]
      },
      {
        "instance":"sut.optics.focus.sensor.port",
        "state":[]
      },
      {
        "instance":"sut.optics.shutter.port",
        "state":[]
      },
      {
        "instance":"sut.acquisition.sensor.port",
        "state":[
          {"name":"state","value":"State:Idle"}
        ]
      },
      {
        "instance":"sut.acquisition.memory.port",
        "state":[]
      }
    ]
  ]
};
